Get lemwarm Settings
curl --request GET \
--url https://api.lemlist.com/api/lemwarm/{userMailboxId}/settings \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/lemwarm/{userMailboxId}/settings"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/lemwarm/{userMailboxId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/lemwarm/{userMailboxId}/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/lemwarm/{userMailboxId}/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"warmEmailRampup": 5,
"warmEmailMax": 5,
"activeAt": "2025-04-10T07:38:31.530Z",
"deliverability": {
"score": 70,
"lastAt": "2025-04-09T13:34:43.998Z"
}
}Bad teamThe authentication you supplied is incorrectlemwarm
Get lemwarm Settings
Retrieves lemwarm email deliverability settings for a specific user mailbox.
GET
/
lemwarm
/
{userMailboxId}
/
settings
Get lemwarm Settings
curl --request GET \
--url https://api.lemlist.com/api/lemwarm/{userMailboxId}/settings \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/lemwarm/{userMailboxId}/settings"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/lemwarm/{userMailboxId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/lemwarm/{userMailboxId}/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/lemwarm/{userMailboxId}/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"warmEmailRampup": 5,
"warmEmailMax": 5,
"activeAt": "2025-04-10T07:38:31.530Z",
"deliverability": {
"score": 70,
"lastAt": "2025-04-09T13:34:43.998Z"
}
}Bad teamThe authentication you supplied is incorrectUse the Get lemlist User endpoint to find the
userMailboxId of the user.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier of the user mailbox
Was this page helpful?